### Method

# WebKit WebView get_microphone_capture_state

since: 2.34

#### Declaration [src]

    WebKitMediaCaptureState
    webkit_web_view_get_microphone_capture_state (
      WebKitWebView* web_view
    )

#### Description [src]

Get the microphone capture state of a `WebKitWebView`.

Available since: 2.34

Gets property | `WebKit.WebView:microphone-capture-state`

#### Return value

Type: `WebKitMediaCaptureState`

The `WebKitMediaCaptureState` of the microphone device. If `WebKitSettings:enable-mediastream` is `FALSE`, this method will return `WEBKIT_MEDIA_CAPTURE_STATE_NONE`.